package book

import "github.com/gin-gonic/gin"

func registerBookCommentRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBookComment", bookApiGroup.BookCommentApi.CreateBookComment)
	router.DELETE("deleteBookComment", bookApiGroup.BookCommentApi.DeleteBookComment)
	router.DELETE("deleteBookCommentByIds", bookApiGroup.BookCommentApi.DeleteBookCommentByIds)
	router.PUT("updateBookComment", bookApiGroup.BookCommentApi.UpdateBookComment)
	routerWithoutRecord.GET("findBookComment", bookApiGroup.BookCommentApi.FindBookComment)
	routerWithoutRecord.GET("getBookCommentList", bookApiGroup.BookCommentApi.GetBookCommentList)
}
